Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.util
Class MonitorInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.BufferedInputStream
                  org.apache.commons.vfs.util.MonitorInputStream

public class MonitorInputStream
extends BufferedInputStream

An InputStream that provides buffering and end-of-stream monitoring.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary

Fields inherited from class java.io.BufferedInputStream
`buf, marklimit, markpos, pos`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`MonitorInputStream(InputStream in)`

Method Summary
`void` | `close()` Closes this input stream and releases any system resources associated with the stream.
`long` | `getCount()` Get the nuber of bytes read by this input stream
`protected void` | `onClose()` Called after the stream has been closed.
`int` | `read()` Reads a character.
`int` | `read(byte[] buffer, int offset, int length)` Reads bytes from this input stream.error occurs.

Methods inherited from class java.io.BufferedInputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.io.FilterInputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitorInputStream

    public MonitorInputStream(InputStream in)

Method Detail

### read

    public int read()
             throws IOException

  Reads a character.

  Throws:
    `IOException`

### read

    public int read(byte[] buffer,
                    int offset,
                    int length)
             throws IOException

  Reads bytes from this input stream.error occurs.

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Closes this input stream and releases any system resources associated with the stream.

  Throws:
    `IOException`

### onClose

    protected void onClose()
                    throws IOException

  Called after the stream has been closed. This implementation does nothing.

  Throws:
    `IOException`

### getCount

    public long getCount()

  Get the nuber of bytes read by this input stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.